curl --request GET \
--url https://sandbox.cashfree.com/pg/customers/{customer_id}/instruments/{instrument_id}/cryptogram \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/customers/{customer_id}/instruments/{instrument_id}/cryptogram"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/customers/{customer_id}/instruments/{instrument_id}/cryptogram', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instrument_id": "54deabb4-ba45-4a60-9e6a-9c016fe7ab10",
"token_requestor_id": "22457512314",
"card_number": "4491365621601472",
"card_expiry_mm": "06",
"card_expiry_yy": "2025",
"cryptogram": "AQBBBBBBZatIlaIAmWKSghwBBBB=",
"card_display": "1234"
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "bank_processing_failure",
"type": "api_error"
}Fetch Cryptogram for a Saved Card Instrument
Use this API to retrieve the token and cryptogram for a specific saved card stored in Cashfreeās Token Vault.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The customer ID provided by the merchant during the Create Order API call, used to save cards for the customer.
Identifier for the specific card to fetch its details.
Response
Cryptogram object for a saved card.
Cryptogram object for a saved card.
Identifier for the card saved at Cashfree.
TRID issued by respective card networks.
Token number.
Token expiry month.
Token expiry year.
A one-time code dynamically generated by the respective card network, required to process saved card payments.
Displays the last four digits of the actual card number.
Was this page helpful?